c
c	setsys.f 1.3 92/07/01 15:25:39
c
c  Copyright 1991 Intel Corporation, Inc.
c  See the "Copyright" file for complete rights and liability information.
c
c  Part 1 of 2:
c    Runs on the host.
c    Starts syslog.
c    Loads the program defined in the file greeting.f
c    Stops syslog.

c  Set host PID.

      call setpid(100)

c  Start syslog, redirecting output to stderr.

      print *, 'Before setsyslog.'
      call setsyslog(1)
      print *, 'After setsyslog.'

c  Load "greeting" program on all nodes of cube.

      call load("greeting", -1, 0)

c  Terminate syslog.

      call killsyslog()
      print *, 'After killsyslog.'

c  Wait until all nodes have responded.

      call waitall(-1, -1)

c  Kill cube and clean up.

      call killcube(-1, 0)

      end
